Knowledge
Upload knowledge image
Uploads an image to a knowledge source (max 10MB, jpg/png/webp/gif)
POST
/
api
/
v2
/
accounts
/
{accountId}
/
ai-agents
/
{agentId}
/
knowledge
/
{sourceId}
/
images
Upload knowledge image
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/ai-agents/{agentId}/knowledge/{sourceId}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image='@example-file' \
--form 'caption=<string>'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/ai-agents/{agentId}/knowledge/{sourceId}/images"
files = { "image": ("example-file", open("example-file", "rb")) }
payload = { "caption": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('image', '<string>');
form.append('caption', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/ai-agents/{agentId}/knowledge/{sourceId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}{}{}Authorizations
Your personal access token from Settings → Profile, or a scoped API key (hc_…) created at Settings → Developer → API keys. Send it as Authorization: Bearer <token>.
Path Parameters
Account ID
Agent ID (UUID)
Source ID (UUID)
Response
Created
The response is of type object.
⌘I
Upload knowledge image

